com.ihr.xbrl.om.errors

## Interface LinkableErrorMessage

- All Known Implementing Classes:
    XBRLInconsistencyCalculationMismatch, XBRLInconsistencyCalculationSkipped, XBRLInconsistencyComparingWithZeroPrecisionZero, XBRLValidationExceptionContentModelException, XBRLValidationExceptionFactError, XBRLValidationExceptionInvalidElementValueException, XBRLValidationExceptionInvalidTupleContentModelException, XDTValidationExceptionPrimaryItemDimensionallyInvalidError

      public interface LinkableErrorMessage

  This interface defines a function that is capable of generating an error message in HTML format that contains links to point to objects in the XBRL Infoset. The idea is that the Renderer of the error message is able to represent hyperlinks and somehow is able to respond to events like MouseOver and highlight the target object.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `styles` The Constant styles.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkableMessage(KeysForFactsProvider keysForFactsProvider, LabelsProvider lp)` Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.

- - ### Field Detail

    - #### styles

          static final java.lang.String styles

      The Constant styles.

  - ### Method Detail

    - #### getLinkableMessage

          java.lang.String getLinkableMessage(KeysForFactsProvider keysForFactsProvider,
                                            LabelsProvider lp)

      Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.
      Parameters:
        `keysForFactsProvider` - This is an object that generates keys to be used at the time to generate links to fact items
        `lp` - This is the labels provider in order to allow obtaining labels for concepts
      Returns:
        String